# Class CartesianTablePlotData

java.lang.Object
uk.ac.starlink.ttools.plottask.TablePlotData
uk.ac.starlink.ttools.plottask.CartesianTablePlotData

All Implemented Interfaces:
  `PlotData`

public class CartesianTablePlotData extends TablePlotData
PlotData concrete subclass for Cartesian data.

Since:
  13 Aug 2008
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CartesianTablePlotData.PairCreator`
Class used for JEL manipulations.

## Constructor Summary

Constructors
Constructor
Description
`CartesianTablePlotData(uk.ac.starlink.table.StarTable table, String[] setExprs, String[] setNames, Style[] setStyles, String labelExpr, String[] coordExprs, String[] errExprs)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected PointSequence`
`createPointSequence(SequentialJELRowReader rseq)`
Constructs a point sequence suitable for dispensing by this plot data.
`int`
`getNdim()`
Returns the dimensionality of data points in this object.
`int`
`getNerror()`
Returns the number of error points per data point in this object.

### Methods inherited from class TablePlotData

`checkExpressions, getPointSequence, getSetCount, getSetName, getSetStyle, hasLabels`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CartesianTablePlotData

public CartesianTablePlotData(uk.ac.starlink.table.StarTable table, String[] setExprs, String[] setNames, Style[] setStyles, String labelExpr, String[] coordExprs, String[] errExprs) throws gnu.jel.CompilationException
Constructor.

Parameters:
  `table` - table this data is based on
  `setExprs` - nset-element array of JEL boolean expressions for subset inclusion criteria
  `setNames` - nset-element array of subset names
  `setStyles` - nset-element array of subset plot styles
  `labelExpr` - JEL String expression for text label
  `coordExprs` - ndim-element array of JEL numeric expressions for coords (numeric = widenable to double)
  `errExprs` - array of expression pairs giving error lower and/or upper bounds
Throws:
  `gnu.jel.CompilationException`

## Method Details

### getNdim

public int getNdim()
Description copied from interface: `PlotData`
Returns the dimensionality of data points in this object.

Returns:
  length of `PointSequence.getPoint()` return values

### getNerror

public int getNerror()
Description copied from interface: `PlotData`
Returns the number of error points per data point in this object.

Returns:
  length of `PointSequence.getErrors()` return values

### createPointSequence

protected PointSequence createPointSequence(SequentialJELRowReader rseq) throws gnu.jel.CompilationException
Description copied from class: `TablePlotData`
Constructs a point sequence suitable for dispensing by this plot data.

Specified by:
  `createPointSequence` in class `TablePlotData`
Parameters:
  `rseq` - row reader representing this data's table
Returns:
  new point sequence for plotting
Throws:
  `gnu.jel.CompilationException`